%define		php_name	php%{?php_suffix}
%define		modname		sphinx
Summary:	%{modname} - client for sphinx SQL full-text search engine
Name:		%{php_name}-pecl-%{modname}
Version:	1.3.2
Release:	2
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	da44407c2ca6584fa5fa673bd0ac9708
URL:		http://pecl.php.net/package/sphinx/
BuildRequires:	%{php_name}-devel >= 4:5.0.4
BuildRequires:	libsphinxclient-devel
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Provides:	php(sphinx)
Obsoletes:	php-pecl-sphinx < 1.3.2-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Client extension for Sphinx - Opensource SQL full-text search engine.

%prep
%setup -qc
mv %{modname}-%{version}/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT \
	EXTENSION_DIR=%{php_extensiondir}

cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Wed May 21 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-sphinx.git;a=log;h=auto/th/php-pecl-sphinx-1.3.2-2

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> 21e3b0d
- obsolete old php name
- release 2 (by relup.sh)

* Thu May 08 2014 Elan Ruusamäe <glen@delfi.ee> 4a480a3
- up to 1.3.2

* Sun Apr 27 2014 Elan Ruusamäe <glen@delfi.ee> 96d1120
- php 5.5 rebuild
- release 2 (by relup.sh)

* Thu Nov 21 2013 Elan Ruusamäe <glen@delfi.ee> 8f51f30
- up to 1.3.0

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 247e9a3
- support building for multiple php versions

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> 6c68206
- release 2 (by relup.sh)

* Sat Jun 09 2012 Łukasz Kieś <kiesiu@pld-linux.org> 2d5a797
- updated to 1.2.0

* Tue Jan 31 2012 Elan Ruusamäe <glen@pld-linux.org> 6daca6f
- release 2

* Fri Oct 14 2011 Elan Ruusamäe <glen@pld-linux.org> 84b2b46
- remove unused tests bcond

* Thu Sep 15 2011 Elan Ruusamäe <glen@pld-linux.org> 24df3ed
- up to 1.1.0

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 7376a98
- release 3

* Mon Jun 14 2010 Elan Ruusamäe <glen@pld-linux.org> 999e77c
- release 2

* Mon Jun 14 2010 Elan Ruusamäe <glen@pld-linux.org> 5fe578c
- provide php(sphinx) virtual (pure php version in php-sphinx package)

* Mon Jun 14 2010 Elan Ruusamäe <glen@pld-linux.org> 2c77128
- license version

* Mon Jun 14 2010 Elan Ruusamäe <glen@pld-linux.org> 7cc693a
- new, based on template-spec

